
Infrastructure - Story #8639

Replication performance is too slow to service demand
Priority: Normal Due date:  
Category: d1_replication Estimated time: 0.00 hour

Target version:    

Story Points: 20   

Description

The replication process is operating too slowly to service demand resulting in lengthy delays to completion of replication tasks for

new and changed content.

This is particularly apparent in the stage environment where perhaps the number of orphaned objects and deprecated / defunct

nodes is interfering with expected behaviors.

Goal of this story is to identify and address the immediate issues. Any significant refactoring of the replication process should be

captured under another story / epic.

Subtasks:

Bug # 8640: Replication includes "down" nodes as replication targets New

Bug # 8641: Any change to SystemMetadata causes a new replication task to be generated ... New

Bug # 8642: Replication tasks apparently  not deleted from backing store in a timely fa... New

Related issues:

Related to Member Nodes - Task #8482: ESSDIVE: Test Registration Closed 2018-03-05

Related to Infrastructure - Story #8162: Replication tasks can contain stale ... New 2017-08-23

Related to Infrastructure - Story #7650: DAO for SystemMetadata changes the S... New 2016-02-17

Related to Infrastructure - Story #6377: Review CNode initialization in Repli... In Progress 2014-09-25 2014-09-25

Related to Infrastructure - Story #4463: Incorporate Node Replication Policy ... In Progress 2014-09-10

History

#1 - 2018-07-04 11:18 - Dave Vieglais

- Assignee changed from Jing Tao to Chris Jones

#2 - 2018-07-04 11:18 - Dave Vieglais

- Related to Task #8482: ESSDIVE: Test Registration added

#3 - 2018-07-04 11:18 - Dave Vieglais

- Related to Story #8162: Replication tasks can contain stale potential target nodes added

#4 - 2018-07-04 11:19 - Dave Vieglais

- Related to Story #7650: DAO for SystemMetadata changes the SystemMetadata.replicationPolicy added

#5 - 2018-07-04 11:19 - Dave Vieglais

- Related to Story #6377: Review CNode initialization in ReplicationManager - it doesn't use local CN reference added

#6 - 2018-07-04 11:19 - Dave Vieglais

- Related to Story #4463: Incorporate Node Replication Policy into replication processing added
